﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Raman
{

    // Global class contains the global variables that are used in the program
    // Spectrum1 (Red) , Spectrum2 (Green) , Spectrum3 (blue), Spectrum4 (magenta)


    static class Global
    {
        private static Int32[] tmpdata0 = new Int32[1024]; // spectrul de la andor
        private static Int32[] tmpdata1 = new Int32[1024];
        private static Int32[] tmpdata2 = new Int32[1024];
        private static Int32[] tmpdata3 = new Int32[1024];
        private static Int32[] tmpdata4 = new Int32[1024];

        private static Int32 tmpAvail = new Int32();// data avalable flag

        public static Int32 DataReady
        {
            get { return tmpAvail; }
            set { tmpAvail = value; }
        } 

        public static Int32[] Spectrum1
        {
            get { return tmpdata1; }
            set { tmpdata1 = value; }
        } 

        public static Int32[] Spectrum2
        {
            get { return tmpdata2; }
            set { tmpdata2 = value; }
        }

        public static Int32[] Spectrum3
        {
            get { return tmpdata3; }
            set { tmpdata3 = value; }
        }

        public static Int32[] Spectrum4
        {
            get { return tmpdata4; }
            set { tmpdata4 = value; }
        }
        public static Int32[] tmpSpectrum
        {
            get { return tmpdata0; }
            set { tmpdata0 = value; }
        } 

       
        public static Int32 MinData(Int32[] DataArray)
        {
            Int32 Min = DataArray[0];
            foreach (Int32 element in DataArray)
            {
                Min = System.Math.Min(Min, element);
            }

            return Min;
        }

        public static Int32 MaxData(Int32[] DataArray)
        {
            Int32 Max = DataArray[0];
            foreach (Int32 element in DataArray)
            {
                Max = System.Math.Max(Max, element);
            }

            return Max;
        }

    }
}


