
%% load data from asc file for the D2O_WashOut
clear variables;
A = importdata('C:\DataAnalysis\d2o_out.asc');
Ai=A(:,2); clear A;
AA=reshape(Ai,1024,1000); clear Ai;

%% load data from asc file for the D2O_WashIn
%clear variables;
%A = importdata('C:\DataAnalysis\d2o_in.asc');
%Ai=A(:,2); clear A;
%AA=reshape(Ai,1024,1000); clear Ai;

%% cosmic removal
count=0;CosmicNr=0;
for i=1:1000
    AA_c(:,i)=CosmicRay(AA(:,i));
    if isequal(AA_c(:,i),AA(:,i))
    else
        count=count+1;
        CosmicNr(count)=i; %#ok<SAGROW>
    end
end
%% normalisation for the laser power fluctuations
k=150;
n=sum(AA_c(1:k,:),1);
AA_cn=AA_c./n;
%% backround substraction D20_out
for i=1:1000
   bAA(:,i)=AA_cn(:,i)-sum(AA_cn(:,851:1000),2)/150;
end
%% backround substraction for D20_In
%for i=1:1000
%   bAA(:,i)=AA_cn(:,i)-sum(AA_cn(:,1:10),2)/10;
%end

%% peak fit and plot peakArea vs time
figure(2);
for i=1:1000
pkf(i,:)=peakfit(bAA(:,i),400,200,1,16,1,1,[400 100],1,394);
end
figure(5);plot(pkf(:,5));